// EsacClayConversionApp class
// CSC 490 - Graci
// Jacob Peck

import java.util.Scanner;
import java.io.*;

class EsacClayConversionApp {
  static public void main(String[] argv) {
    System.out.println("Enter the name of your EsAC file in the format <file|web> <filename>.");
    System.out.print("> ");
    Scanner sc = new Scanner(System.in);
    
    EsacClayConverter converter = new EsacClayConverter(sc.next().toUpperCase(), sc.next());
    converter.read();
    System.out.println("Incoming EsAC:");
    System.out.println(converter.getEsac());
    converter.translate();
    System.out.println("Outgoing Clay:");
    System.out.println(converter.getClay());
    System.out.println("Where would you like this file saved?");
    System.out.print("> ");
    //sc = new Scanner(System.in); // reset scanner
    converter.write(sc.next());
    System.out.println("File written successfully.");
  } // end main(String[] argv)
} // end class EsacClayConversionApp